<?php
/**
* 404 Page Settings.
*
* @package Event Decorations
*/

$event_decorations_default = event_decorations_get_default_theme_options();

$wp_customize->add_section( 'event_decorations_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'event-decorations' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'event_decorations_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'event_decorations_404_main_title',
    array(
        'default'           => $event_decorations_default['event_decorations_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'event_decorations_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'event-decorations' ),
        'section'  => 'event_decorations_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'event_decorations_404_subtitle_one',
    array(
        'default'           => $event_decorations_default['event_decorations_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'event_decorations_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'event-decorations' ),
        'section'  => 'event_decorations_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'event_decorations_404_para_one',
    array(
        'default'           => $event_decorations_default['event_decorations_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'event_decorations_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'event-decorations' ),
        'section'  => 'event_decorations_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'event_decorations_404_subtitle_two',
    array(
        'default'           => $event_decorations_default['event_decorations_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'event_decorations_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'event-decorations' ),
        'section'  => 'event_decorations_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'event_decorations_404_para_two',
    array(
        'default'           => $event_decorations_default['event_decorations_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'event_decorations_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'event-decorations' ),
        'section'  => 'event_decorations_404_page_settings',
        'type'     => 'text',
    )
);